Pixxel
Documentation
Developer Guide
Pixxel API
External
Ping ServerGET
Project
List projectsGETGet projectGET
AOI
List all AOIsGETCreate a new AOIPOSTGet AOIGETList supported satellitesGET
Search
Search satellite imagesPOST
Indices
List all available indicesGETCreate a new indexPOST
Visualizations
List visualizations for an AOIGETCreate a new visualizationPOSTUpdate visualization metadataPUTRollback visualization metadataPATCHGenerate an index PNG for a visualizationPOSTGenerate SLD styles for a visualizationPOST
Blocks
List BlocksGETGet Block VersionsGETGet Block by VersionGET
Insights
Create Insights on an AOIPOSTList InsightsGETDownload InsightsPUTDelete InsightsDEL
Assets
List assets for an AOIGET
Downloads
Create a download request for assets in an AOIPOSTGet status of a download requestGET
Workflows
List workflowsGETGet Workflows By IdGETGet Workflow Cost estimateGET
Jobs
List JobsGETCreate a job from a given workflowPOSTGet Job by Id and WF IdGETDownload JobPUT
Tasks
Download TaskPUT
Bandset
List all bandsetsGET
Order
List all ordersGETCreate an orderPOSTGet an orderGETList all orderItemsGETGet an orderItemGET
Archives
List all collectionsGETGet a collectionGETList items in a collectionGETGet itemGETSearch all itemsPOST
Report
download order reportGET
Stores
List storesGETCreate a storePOSTDelete a storeDEL
Catalog
List all deliveriesGETCreate deliveriesPOSTCreate a download resourcePOSTGet download statusGETSearch all catalogsPOSTGet a catalogGET
Pixxel
Documentation
Developer Guide
Pixxel API
External
Ping ServerGET
Project
List projectsGETGet projectGET
AOI
List all AOIsGETCreate a new AOIPOSTGet AOIGETList supported satellitesGET
Search
Search satellite imagesPOST
Indices
List all available indicesGETCreate a new indexPOST
Visualizations
List visualizations for an AOIGETCreate a new visualizationPOSTUpdate visualization metadataPUTRollback visualization metadataPATCHGenerate an index PNG for a visualizationPOSTGenerate SLD styles for a visualizationPOST
Blocks
List BlocksGETGet Block VersionsGETGet Block by VersionGET
Insights
Create Insights on an AOIPOSTList InsightsGETDownload InsightsPUTDelete InsightsDEL
Assets
List assets for an AOIGET
Downloads
Create a download request for assets in an AOIPOSTGet status of a download requestGET
Workflows
List workflowsGETGet Workflows By IdGETGet Workflow Cost estimateGET
Jobs
List JobsGETCreate a job from a given workflowPOSTGet Job by Id and WF IdGETDownload JobPUT
Tasks
Download TaskPUT
Bandset
List all bandsetsGET
Order
List all ordersGETCreate an orderPOSTGet an orderGETList all orderItemsGETGet an orderItemGET
Archives
List all collectionsGETGet a collectionGETList items in a collectionGETGet itemGETSearch all itemsPOST
Report
download order reportGET
Stores
List storesGETCreate a storePOSTDelete a storeDEL
Catalog
List all deliveriesGETCreate deliveriesPOSTCreate a download resourcePOSTGet download statusGETSearch all catalogsPOSTGet a catalogGET
  1. Visualizations
  2. Rollback visualization metadata

Rollback visualization metadata

Rolls back the visualization metadata for specified dates and mode. Recomputes the legend for the specified mode from source data, preserving the other mode.

PATCH/v0/aois/{aoi_id}/visualizations/{visualization_id}/metadata
Authorisations
AuthorizationString
Path Parameters
aoi_idstringrequired
AOI ID
visualization_idstringrequired
Visualization ID
Request Body
index_idstringrequired
The index ID for this visualizationExample: "3fa85f64-5717-4562-b3fc-2c963f66afa6"
datesstring[]required
List of date strings to rollbackExample: ["2024_05_06","2025_11_14"]
visualization_modestringrequired
Which legend mode to rollback (dynamic or theoretical)Example: "dynamic"
Response
application/json
OK
aoi_idstring
Example: "e9767554-550e-4464-a677-b8cf096073ab"
assetsobject[]
Show child attributes
created_atstring
Example: "2022-11-14 12:55:49.125928+00:00"
expressionstring
Example: "(B08 - B04) / (B08 + B04)"
expression_typestring
Example: "index"
idstring
Example: "a80f7f4c-abe9-4118-875e-3a2306577e11"
index_idstring
Example: "90d63531-5f54-4704-a4b0-7bb92ae08f23"
index_namestring
Example: "NDVI-Custom"
metadataobject
Show child attributes
progressinteger
Example: 100
rescaleinteger[]
Example: [0,1]
statusstring
Example: "success"
tenant_idstring
Example: "tenant-123456"
typestring
Example: "custom"
updated_atstring
Example: "2022-11-14 12:55:49.125928+00:00"
user_idstring
Example: "e3a671ad-5381-4413-8c1c-bc4e1ccaff45"
Rollback visualization metadata
cURL
Python
Go
TypeScript
1curl -X PATCH 'https://api.pixxel.space/v0/aois/{aoi_id}/visualizations/{visualization_id}/metadata' \
2 -H 'Authorization: YOUR_API_KEY' \
3 -H 'Content-Type: application/json' \
4 -d '{
5 "index_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
6 "dates": [
7 "2024_05_06",
8 "2025_11_14"
9 ],
10 "visualization_mode": "dynamic"
11}'
Response:
{
"aoi_id": "e9767554-550e-4464-a677-b8cf096073ab",
"assets": [
{
"aoi_id": "e9767554-550e-4464-a677-b8cf096073ab",
"area_in_sq_m": 0,
"asset_type": "mosaic",
"band_list": [
"B01",
"B02"
],
"centroid": [
77.55,
12.95
],
"created_at": "2022-11-14 12:55:49.125928+00:00",
"date": "2022-11-14",
"description": "This asset is mosaic file",
"geometry": {
"type": "Polygon",
"coordinates": [
[
[
0
]
]
]
},
"id": "e9767554-550e-4464-a677-b8cf096073ab",
"name": "Asset-A",
"path": "https://storage.account",
"progress": 0,
"resolution": 10,
"status": "success",
"updated_at": "2022-11-14 12:55:49.125928+00:00",
"visualization_id": "e9767554-550e-4464-a677-b8cf096073ab"
}
],
"created_at": "2022-11-14 12:55:49.125928+00:00",
"expression": "(B08 - B04) / (B08 + B04)",
"expression_type": "index",
"id": "a80f7f4c-abe9-4118-875e-3a2306577e11",
"index_id": "90d63531-5f54-4704-a4b0-7bb92ae08f23",
"index_name": "NDVI-Custom",
"metadata": {
"legend": {}
},
"progress": 100,
"rescale": [
0,
1
],
"status": "success",
"tenant_id": "tenant-123456",
"type": "custom",
"updated_at": "2022-11-14 12:55:49.125928+00:00",
"user_id": "e3a671ad-5381-4413-8c1c-bc4e1ccaff45"
}
Update visualization metadataGenerate an index PNG for a visualization